package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 巡检线路信息对象 dms_base_inspect_route
 * 
 * @author Open Platform
 * @date 2024-01-16
 */
public class DmsBaseInspectRoute extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long inspectRouteId;

    /** 线路编号 */
    @Excel(name = "线路编号")
    private String routeCode;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String routeName;

    /** 线路类型(1巡检,2点检) */
    @Excel(name = "线路类型(1巡检,2点检)")
    private String inspectType;

    /** 循环周期 */
    @Excel(name = "循环周期")
    private String cyclePeriod;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 是否标识：1-是；0-否 */
    @Excel(name = "是否标识：1-是；0-否")
    private String isFlag;

    public void setInspectRouteId(Long inspectRouteId) 
    {
        this.inspectRouteId = inspectRouteId;
    }

    public Long getInspectRouteId() 
    {
        return inspectRouteId;
    }
    public void setRouteCode(String routeCode) 
    {
        this.routeCode = routeCode;
    }

    public String getRouteCode() 
    {
        return routeCode;
    }
    public void setRouteName(String routeName) 
    {
        this.routeName = routeName;
    }

    public String getRouteName() 
    {
        return routeName;
    }
    public void setInspectType(String inspectType) 
    {
        this.inspectType = inspectType;
    }

    public String getInspectType() 
    {
        return inspectType;
    }
    public void setCyclePeriod(String cyclePeriod) 
    {
        this.cyclePeriod = cyclePeriod;
    }

    public String getCyclePeriod() 
    {
        return cyclePeriod;
    }
    public void setDeviceTypeId(Long deviceTypeId) 
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId() 
    {
        return deviceTypeId;
    }
    public void setIsFlag(String isFlag) 
    {
        this.isFlag = isFlag;
    }

    public String getIsFlag() 
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectRouteId", getInspectRouteId())
            .append("routeCode", getRouteCode())
            .append("routeName", getRouteName())
            .append("inspectType", getInspectType())
            .append("cyclePeriod", getCyclePeriod())
            .append("deviceTypeId", getDeviceTypeId())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
